using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using skyscraper5.Mpeg2;
using skyscraper5.Skyscraper.Plugins;
using skyscraper5.Skyscraper.Text;

namespace skyscraper5.Dvb.Descriptors
{
	[SkyscraperPlugin]
	[TsDescriptor(0x40,"NIT")]
    [BannedTable("PMT","BAT")]
    class NetworkNameDescriptor : TsDescriptor
    {
        public NetworkNameDescriptor(byte[] buffer)
        {
            NetworkName = En300468AnnexATextDecoder.GetInstance().Decode(buffer);
            Valid = true;
        }

        public string NetworkName { get; private set; }
    }
}
